Skip to Content.
Sympa Menu

notify-dpml - svn commit: r1795 - development/main/home/transit/plugin/etc/bin

notify-dpml AT lists.ibiblio.org

Subject: DPML Notify

List archive

Chronological Thread  
  • From: mcconnell AT netcompartner.com
  • To: notify-dpml AT lists.ibiblio.org
  • Subject: svn commit: r1795 - development/main/home/transit/plugin/etc/bin
  • Date: Wed, 16 Feb 2005 21:39:20 +0100

Author: mcconnell
Date: Wed Feb 16 21:39:19 2005
New Revision: 1795

Modified:
development/main/home/transit/plugin/etc/bin/internal-cygwin.sh
development/main/home/transit/plugin/etc/bin/internal-unix.sh
development/main/home/transit/plugin/etc/bin/transit
development/main/home/transit/plugin/etc/bin/transit.sh
Log:
fix the nix scripts

Modified: development/main/home/transit/plugin/etc/bin/internal-cygwin.sh
==============================================================================
--- development/main/home/transit/plugin/etc/bin/internal-cygwin.sh
(original)
+++ development/main/home/transit/plugin/etc/bin/internal-cygwin.sh Wed
Feb 16 21:39:19 2005
@@ -42,7 +42,7 @@
echo " Transit Arguments: $TRANSIT_ARGS $@"
echo ""

-ARGS="$TRANSIT_JVM_OPTS -Djava.protocol.handler.pkgs=net.dpml.transit
-Ddpml.transit.boostrap.uri=$TRANSIT_PLUGIN
\"-Djava.security.policy=$TRANSIT_SECURITY_POLICY\" $BOOTSTRAP_PLUGIN
-classpath \"$TRANSIT_CLASSPATH\" net.dpml.transit.Main
-Xbootstrap=$TRANSIT_PLUGIN $TRANSIT_ARGS $@"
+ARGS="$TRANSIT_JVM_OPTS -Djava.protocol.handler.pkgs=net.dpml.transit
\"-Djava.security.policy=$TRANSIT_SECURITY_POLICY\" $BOOTSTRAP_PLUGIN
-classpath \"$TRANSIT_CLASSPATH\" net.dpml.transit.Main
-Xbootstrap=$TRANSIT_PLUGIN $TRANSIT_ARGS $@"

echo -n "$JAVA" >$TRANSIT_HOME/command-line.log
echo -n " " >>$TRANSIT_HOME/command-line.log

Modified: development/main/home/transit/plugin/etc/bin/internal-unix.sh
==============================================================================
--- development/main/home/transit/plugin/etc/bin/internal-unix.sh
(original)
+++ development/main/home/transit/plugin/etc/bin/internal-unix.sh Wed
Feb 16 21:39:19 2005
@@ -30,7 +30,7 @@

JAVA="$JAVA_HOME/bin/java"

-ARGS="$TRANSIT_JVM_OPTS -Djava.protocol.handler.pkgs=net.dpml.transit
-Ddpml.transit.boostrap.uri=$TRANSIT_PLUGIN
\"-Djava.security.policy=$TRANSIT_SECURITY_POLICY\" -classpath
\"$TRANSIT_CLASSPATH\" net.dpml.transit.Main -Xbootstrap=$TRANSIT_PLUGIN
$TRANSIT_ARGS $@"
+ARGS="$TRANSIT_JVM_OPTS -Djava.protocol.handler.pkgs=net.dpml.transit
\"-Djava.security.policy=$TRANSIT_SECURITY_POLICY\" -classpath
\"$TRANSIT_CLASSPATH\" net.dpml.transit.Main -Xbootstrap=$TRANSIT_PLUGIN
$TRANSIT_ARGS $@"
echo -n "$JAVA" >$TRANSIT_HOME/command-line.log
echo -n " " >>$TRANSIT_HOME/command-line.log
echo "$ARGS" >>$TRANSIT_HOME/command-line.log

Modified: development/main/home/transit/plugin/etc/bin/transit
==============================================================================
--- development/main/home/transit/plugin/etc/bin/transit (original)
+++ development/main/home/transit/plugin/etc/bin/transit Wed Feb 16
21:39:19 2005
@@ -1,72 +1,77 @@
-#!/bin/sh
-#
-# Copyright 2004 Niclas Hedhman
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied.
-#
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-if [ ! "$DPML_HOME" ]; then
- export DPML_HOME="$HOME/.dpml"
-fi
-
-# Checking for JAVA_HOME is required on *nix due
-# to some distributions stupidly including kaffe in /usr/bin
-#
-
-if [ "$JAVA_HOME" = "" ] ; then
- echo "ERROR: JAVA_HOME not found in your environment."
- echo
- echo "Please, set the JAVA_HOME variable in your environment to match the"
- echo "location of the Java Virtual Machine you want to use."
- exit 1
-fi
-
-PLATFORM=`uname`
-export PLATFORM
-
-#
-# Compute the TRANSIT_HOME if not already set.
-#
-if [ -z "$TRANSIT_HOME" ] ; then
- CWD=`pwd`
- BIN_DIR=`dirname "$0"`
- cd "$BIN_DIR"
- ABSOLUTE_PATH=`pwd`
- cd "$CWD"
- TRANSIT_HOME="`dirname "$ABSOLUTE_PATH"`"
- export TRANSIT_HOME
-fi
-
-if [ -z "$TRANSIT_PLUGIN" ] ; then
- TRANSIT_PLUGIN=@TRANSIT-PLUGIN-URI@
- export TRANSIT_PLUGIN
-fi
-
-TRANSIT_VERSION="@TRANSIT_VERSION@"
-export TRANSIT_VERSION
-
-TRANSIT_SECURITY_POLICY=$TRANSIT_HOME/bin/security.policy
-export TRANSIT_SECURITY_POLICY
-
-TRANSIT_CLASSPATH=@UNIX-CLI-CLASSPATH@
-export TRANSIT_CLASSPATH
-
-if [ `echo $PLATFORM | grep "CYGWIN"` ] ; then
- exec "$TRANSIT_HOME/bin/internal-cygwin.sh" "$@"
-elif [ `echo $PLATFORM | grep "Linux"` ] ; then
- exec "$TRANSIT_HOME/bin/internal-unix.sh" "$@"
-else
- echo "Starting Default Unix script"
- exec "$TRANSIT_HOME/bin/internal-unix.sh" "$@"
-fi
+#!/bin/sh
+#
+# Copyright 2004 Niclas Hedhman
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+#
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ ! "$DPML_HOME" ]; then
+ export DPML_HOME="$HOME/.dpml"
+fi
+
+if [ ! "$DPML_SYSTEM" ]; then
+ export DPML_SYSTEM="$DPML_HOME/share"
+fi
+
+
+# Checking for JAVA_HOME is required on *nix due
+# to some distributions stupidly including kaffe in /usr/bin
+#
+
+if [ "$JAVA_HOME" = "" ] ; then
+ echo "ERROR: JAVA_HOME not found in your environment."
+ echo
+ echo "Please, set the JAVA_HOME variable in your environment to match the"
+ echo "location of the Java Virtual Machine you want to use."
+ exit 1
+fi
+
+PLATFORM=`uname`
+export PLATFORM
+
+#
+# Compute the TRANSIT_HOME if not already set.
+#
+if [ -z "$TRANSIT_HOME" ] ; then
+ CWD=`pwd`
+ BIN_DIR=`dirname "$0"`
+ cd "$BIN_DIR"
+ ABSOLUTE_PATH=`pwd`
+ cd "$CWD"
+ TRANSIT_HOME="`dirname "$ABSOLUTE_PATH"`"
+ export TRANSIT_HOME
+fi
+
+if [ -z "$TRANSIT_PLUGIN" ] ; then
+ TRANSIT_PLUGIN=@TRANSIT-PLUGIN-URI@
+ export TRANSIT_PLUGIN
+fi
+
+TRANSIT_VERSION="@TRANSIT_VERSION@"
+export TRANSIT_VERSION
+
+TRANSIT_SECURITY_POLICY=$TRANSIT_HOME/bin/security.policy
+export TRANSIT_SECURITY_POLICY
+
+TRANSIT_CLASSPATH=@UNIX-CLI-CLASSPATH@
+export TRANSIT_CLASSPATH
+
+if [ `echo $PLATFORM | grep "CYGWIN"` ] ; then
+ exec "$TRANSIT_HOME/bin/internal-cygwin.sh" "$@"
+elif [ `echo $PLATFORM | grep "Linux"` ] ; then
+ exec "$TRANSIT_HOME/bin/internal-unix.sh" "$@"
+else
+ echo "Starting Default Unix script"
+ exec "$TRANSIT_HOME/bin/internal-unix.sh" "$@"
+fi

Modified: development/main/home/transit/plugin/etc/bin/transit.sh
==============================================================================
--- development/main/home/transit/plugin/etc/bin/transit.sh (original)
+++ development/main/home/transit/plugin/etc/bin/transit.sh Wed Feb 16
21:39:19 2005
@@ -43,6 +43,9 @@
export DPML_HOME="$HOME/.dpml"
fi

+if [ ! "$DPML_SYSTEM" ]; then
+ export DPML_SYSTEM="$DPML_HOME/share"
+fi

# OS specific support. $var _must_ be set to either true or false.
cygwin=false



  • svn commit: r1795 - development/main/home/transit/plugin/etc/bin, mcconnell, 02/16/2005

Archive powered by MHonArc 2.6.24.

Top of Page